local TimerMs = 1000

function OnEventEffectFinishedTimer( params )
  if params.wtOwner:IsEqual( mainForm:GetChildChecked( "bimbo" , false ) ) then
    CheckWidgetStatus()
    mainForm:GetChildChecked( "bimbo" , false ):PlayFadeEffect( 0.0, 1.0, TimerMs, EA_SYMMETRIC_FLASH )
  end
end

function StartTimer( value )
  TimerMs = value
  mainForm:GetChildChecked( "bimbo" , false ):PlayFadeEffect( 0.0, 1.0, TimerMs, EA_SYMMETRIC_FLASH )
  common.RegisterEventHandler( OnEventEffectFinishedTimer, "EVENT_EFFECT_FINISHED" )
end

function StopTimer( value )
  common.UnRegisterEventHandler( OnEventEffectFinishedTimer , "EVENT_EFFECT_FINISHED" )
end